Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1813655 - [NooBaa CLI] Minimal pv-store size is described as 16GB, CRD is rejecting anything below 22GB - Align the minimum size
Summary: [NooBaa CLI] Minimal pv-store size is described as 16GB, CRD is rejecting any...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: Multi-Cloud Object Gateway
Version: 4.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: OCS 4.4.0
Assignee: Romy Ayalon
QA Contact: Ben Eli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-15 09:45 UTC by Ben Eli
Modified: 2020-06-04 12:54 UTC (History)
4 users (show)

Fixed In Version: 4.4.0-410
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-04 12:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github noobaa noobaa-operator pull 264 0 None closed Fixed minimal pv size check 2020-09-28 08:12:03 UTC
Red Hat Product Errata RHBA-2020:2393 0 None None None 2020-06-04 12:54:47 UTC

Description Ben Eli 2020-03-15 09:45:28 UTC
Description of problem (please be detailed as possible and provide log
snippests):

When using the CLI to create a pv-pool backingstore, the input is verified only up to 16GBs. However, anything between 16 and 22GBs is rejected after the resourced has been created.

When creating via the UI, 16GBs is sufficient.

>nb backingstore create pv-pool min
INFO[0001] ✅ Exists: NooBaa "noobaa"                    
Enter number of volumes: 1
Enter PV size (GB): 15
FATA[0003] ❌ PV size seems to be too small (15GB), minimal size for a pv is 16GB 

> nb backingstore create pv-pool min
INFO[0002] ✅ Exists: NooBaa "noobaa"                    
Enter number of volumes: 1
Enter PV size (GB): 21
INFO[0004] ✅ Created: BackingStore "min"                
INFO[0004]                                              
INFO[0004] NOTE:                                        
INFO[0004]   - This command has finished applying changes to the cluster. 
INFO[0004]   - From now on, it only loops and reads the status, to monitor the operator work. 
INFO[0004]   - You may Ctrl-C at any time to stop the loop and watch it manually. 
INFO[0004]                                              
INFO[0004] BackingStore Wait Ready:                     
ERRO[0005] ❌ BackingStore "min" Phase is "Rejected": SmallVolumeSize NooBaa BackingStore "min" is in rejected phase due to insufficient size, min is 21474836480

-> Also, is there a possibility to describe the minimum size in GB instead of bytes?


Version of all relevant components (if applicable):
NB 
5.3.0-df3abc2
OCS
4.3.0-376.ci

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
No

Is there any workaround available to the best of your knowledge?
Create a larger backingstore (>=22GB)

Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Actual results:
Backingstore is rejected/CLI command goes through

Expected results:
Backingstore is ready/CLI command is blocked

Additional info:

Comment 6 errata-xmlrpc 2020-06-04 12:54:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2393


Note You need to log in before you can comment on or make changes to this bug.